
-- Create BTree on LINEITEM, sorted on L_SHIPDATE
print 'Start L_SHIPDATE_IDX'
SELECT SYSDATETIME() AS 'SYSDATETIME'
create clustered index L_SHIPDATE_IDX on LINEITEM(L_SHIPDATE) with(maxdop = 40) on DATESCHEME(L_SHIPDATE) 
print 'Finish L_SHIPDATE_IDX'
SELECT SYSDATETIME() AS 'SYSDATETIME'
--go

-- Create Clustered ColumnStore Index on LINEITEM on all columns
print 'Start COLUMNSTORE L_SHIPDATE_IDX'
SELECT SYSDATETIME() AS 'SYSDATETIME'
create clustered columnstore index L_SHIPDATE_IDX on LINEITEM  with(drop_existing=on, maxdop = 20) on DATESCHEME(L_SHIPDATE)
print 'Finish COLUMNSTORE L_SHIPDATE_IDX'
SELECT SYSDATETIME() AS 'SYSDATETIME'
--go

-- Create BTree on ORDERS, sorted on O_ORDERDATE
print 'Start O_ORDERDATE_IDX'
SELECT SYSDATETIME() AS 'SYSDATETIME'
create clustered index O_ORDERDATE_IDX on ORDERS(O_ORDERDATE) with(maxdop = 40) on DATESCHEME(O_ORDERDATE) 
print 'Finish O_ORDERDATE_IDX'
SELECT SYSDATETIME() AS 'SYSDATETIME'
--go

-- Create Clustered ColumnStore Index on ORDERS on all columns
print 'Start COLUMNSTORE O_ORDERDATE_IDX'
SELECT SYSDATETIME() AS 'SYSDATETIME'
create clustered columnstore index O_ORDERDATE_IDX on ORDERS with(drop_existing=on, maxdop = 20) on DATESCHEME(O_ORDERDATE)  
print 'Finish COLUMNSTORE O_ORDERDATE_IDX'
SELECT SYSDATETIME() AS 'SYSDATETIME'
--go


create clustered columnstore index  	CUSTOMER_cstore on  	CUSTOMER	   ON DATA_FG  
--go
create clustered columnstore index  	SUPPLIER_cstore on  	SUPPLIER	ON DATA_FG  
--go
create clustered columnstore index  	PARTSUPP_cstore on  	PARTSUPP	ON DATA_FG
--go
create clustered columnstore index  	PART_cstore on  	PART	ON DATA_FG  
--go
create clustered columnstore index  	REGION_cstore on  	REGION	 ON DATA_FG  
--go
create clustered columnstore index  	NATION_cstore on  	NATION	ON DATA_FG 
--go


