---- if exists (select name from sysdatabases where name = 'tpch1000g') drop database tpch1000g


CREATE DATABASE tpch1000g ON PRIMARY
(NAME = tpch1000g_root, 
 FILENAME = "G:\TPCH\tpch1000g.mdf", 
 SIZE = 10000MB, 
 MAXSIZE = UNLIMITED,
 FILEGROWTH = 10MB),


FILEGROUP LOAD_FG
(NAME = tpch1000g_load1,  FILENAME = 'G:\mnt\ntfs\load\load1.mdf',  SIZE = 55296MB),
(NAME = tpch1000g_load2,  FILENAME = 'G:\mnt\ntfs\load\load2.mdf',  SIZE = 55296MB),
(NAME = tpch1000g_load3,  FILENAME = 'G:\mnt\ntfs\load\load3.mdf',  SIZE = 55296MB),
(NAME = tpch1000g_load4,  FILENAME = 'G:\mnt\ntfs\load\load4.mdf',  SIZE = 55296MB),

FILEGROUP DATA_FG

(NAME = tpch1000g_data1,  FILENAME = 'G:\mnt\ntfs\data\1\tpch1000g_data1.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data2,  FILENAME = 'G:\mnt\ntfs\data\1\tpch1000g_data2.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data3,  FILENAME = 'G:\mnt\ntfs\data\2\tpch1000g_data3.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data4,  FILENAME = 'G:\mnt\ntfs\data\2\tpch1000g_data4.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data5,  FILENAME = 'G:\mnt\ntfs\data\3\tpch1000g_data5.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data6,  FILENAME = 'G:\mnt\ntfs\data\3\tpch1000g_data6.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data7,  FILENAME = 'G:\mnt\ntfs\data\4\tpch1000g_data7.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data8,  FILENAME = 'G:\mnt\ntfs\data\4\tpch1000g_data8.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data9,  FILENAME = 'G:\mnt\ntfs\data\5\tpch1000g_data9.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data10,  FILENAME = 'G:\mnt\ntfs\data\5\tpch1000g_data10.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data11,  FILENAME = 'G:\mnt\ntfs\data\6\tpch1000g_data11.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data12,  FILENAME = 'G:\mnt\ntfs\data\6\tpch1000g_data12.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data13,  FILENAME = 'G:\mnt\ntfs\data\7\tpch1000g_data13.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data14,  FILENAME = 'G:\mnt\ntfs\data\7\tpch1000g_data14.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data15,  FILENAME = 'G:\mnt\ntfs\data\8\tpch1000g_data15.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data16,  FILENAME = 'G:\mnt\ntfs\data\8\tpch1000g_data16.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data17,  FILENAME = 'G:\mnt\ntfs\data\9\tpch1000g_data17.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data18,  FILENAME = 'G:\mnt\ntfs\data\9\tpch1000g_data18.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data19,  FILENAME = 'G:\mnt\ntfs\data\10\tpch1000g_data19.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data20,  FILENAME = 'G:\mnt\ntfs\data\10\tpch1000g_data20.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data21,  FILENAME = 'G:\mnt\ntfs\data\11\tpch1000g_data21.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data22,  FILENAME = 'G:\mnt\ntfs\data\11\tpch1000g_data22.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data23,  FILENAME = 'G:\mnt\ntfs\data\12\tpch1000g_data23.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB),
(NAME = tpch1000g_data24,  FILENAME = 'G:\mnt\ntfs\data\12\tpch1000g_data24.mdf',  SIZE = 93184MB, FILEGROWTH = 100MB)

LOG ON 
(	NAME		= tpch1000g_log1, 
    --FILENAME	= 'L:\TPCH\tpch1000g_log1.mdf',
    --SIZE		= 600GB,
    FILENAME	= 'L:\TPCH\tpch1000g_log1.mdf',
    SIZE		= 400GB,
    FILEGROWTH = 10MB)

ALTER DATABASE tpch1000g COLLATE Latin1_General_BIN 

-- ## Put the below is a separate script which is run immediately after createdb in Stepmaster
-- ## Keeping it here, stepmaster would complain.
-- use tpch1000g
-- go 
-- declare @STR nvarchar(max) 
-- SET @STR = 'ALTER DATABASE ['+DB_NAME()+'] COLLATE Latin1_General_BIN' 
-- EXEC(@STR) 


